#define SI4700_IOCTL_BASE  'S'

#define IOC_SI4700_TUNE    _IOW(SI4700_IOCTL_BASE, 0, int)
#define IOC_SI4700_STATUS  _IOR(SI4700_IOCTL_BASE, 1, int)
#define IOC_SI4700_SEEK    _IOW(SI4700_IOCTL_BASE, 2, int)
#define IOC_SI4700_VOLUME  _IOW(SI4700_IOCTL_BASE, 3, int)
#define IOC_SI4700_SPACING _IOW(SI4700_IOCTL_BASE, 4, int)
#define IOC_SI4700_SEEK_PARAMS _IOW(SI4700_IOCTL_BASE, 5, int)
#define IOC_SI4700_READ_SEEK_PARAMS _IOR(SI4700_IOCTL_BASE, 5, int)
#define IOC_SI4700_STEREO_BLENDING _IOW(SI4700_IOCTL_BASE, 6, int)
#define IOC_SI4700_DEEMPHASIS _IOW(SI4700_IOCTL_BASE, 7, int)
#define IOC_SI4700_READ_FREQUENCY _IOR(SI4700_IOCTL_BASE, 8, int)
#define IOC_SI4700_BAND    _IOW(SI4700_IOCTL_BASE, 9, int)
#define IOC_SI4700_SEEK_STOP    _IO(SI4700_IOCTL_BASE, 10)
#define IOC_SI4700_READ_RSSI    _IOR(SI4700_IOCTL_BASE, 11, int)
#define IOC_SI4700_FORCE_MONO _IOW(SI4700_IOCTL_BASE, 12, int)
#define IOC_SI4700_MUTE    _IOW(SI4700_IOCTL_BASE, 13, int)
#define IOC_SI4700_ENABLE_RDS _IOW(SI4700_IOCTL_BASE, 14, int)
#define IOC_SI4700_DIGITAL_SAMPLE_RATE  _IOW(SI4700_IOCTL_BASE, 15, int)
#define IOC_SI4700_DIGITAL_SAMPLE_FORMAT        _IOW(SI4700_IOCTL_BASE, 16, int)
#define IOC_SI4700_OUTPUT_SELECT   _IOW(SI4700_IOCTL_BASE, 17)
#define IOC_SI4700_TUNE_ASYNC    _IOW(SI4700_IOCTL_BASE, 18, int)
#define IOC_SI4700_STEREO_BLENDING_DB   _IOW(SI4700_IOCTL_BASE, 19, int)
#define IOC_SI4700_HW_VERSION   _IOR(SI4700_IOCTL_BASE, 20, int)
#define IOC_SI4700_SET_PROPERTY _IOW(SI4700_IOCTL_BASE, 21, int)
#define IOC_SI4700_GET_PROPERTY _IOWR(SI4700_IOCTL_BASE, 22, int)
#define IOC_SI4704_START _IOW(SI4700_IOCTL_BASE, 23, int)

struct si4700_packet
{
	int code;
	union {
		char c[28];
		struct {
			unsigned int a, b, c, d;
		} rds;
		struct {
			int status;
			int rssi;
			int frequency;
		} seek;
	} u;
};

#define SI4700_PACKET_RDS		1
#define SI4700_PACKET_SEEK_STATUS	2
#define SI4700_PACKET_TUNE_COMPLETE     3
#define SI4700_PACKET_RDS_START         4
